
/* 
    Slideshow 
*/
.slideshow {
    margin-bottom: 4rem;
    height: calc(100svh - 8rem);
    position: relative;
    padding: 1rem ;
}

.slide {
    display: none;
    position: absolute;
    top: 0;
    width: auto;
    bottom: 0;
    left: 0;
    right: 0;
    transition: opacity 300ms ease;
    padding: 0 1rem;
}

.slide.pre-active {
    display: flex;
    opacity: 0;
    pointer-events: none;
    justify-content: center;
}

.slide.active {
    pointer-events: initial;
    opacity: 1;
    transition: opacity 300ms 300ms ease;
}

.slide__c {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    width: 100%;
    height: 100%;
}

.slide__cover {
    grid-column: 1/-1;
    width: auto;
    height: 50vh;
    flex-grow: 1;
    padding: 2rem 0;
    object-fit: contain;
    object-position: center center;
}

/* Placeholder */
.slide__placeholder {
    background-color: black;
    padding: 2rem 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
    height: 100%;
    max-width: 100%;
    aspect-ratio: 1/1;
}

.slide__placeholder.yellow {
    background-color: #FFD600;
}

.slide__placeholder.purple {
    background-color: #9747FF;
}

.slide__placeholder.gray {
    background-color: #D2D2D2;
}

.slide__placeholder.black {
    background-color: black;
}

.slide__placeholder.horizontal,
.slide.horizontal .slide__placeholder {
    padding: 0 1rem;
    aspect-ratio: 3/2;
}

.slide__placeholder__circle {
    width: auto;
    height: 80%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    border: 2px solid var(--placeholderStroke, white);
}

.slide__placeholder.yellow .slide__placeholder__circle {
    border-color: black;
}

.slide__placeholder.purple .slide__placeholder__circle {
    border-color: white;
}

.slide__placeholder.gray .slide__placeholder__circle {
    border-color: white;
}

.slide__placeholder.black .slide__placeholder__circle {
    border-color: white;
}

.slide.horizontal .slide__placeholder__circle {
    height: calc(100% - 2rem);
}

.slide__placeholder.large .slide__placeholder__circle {
    border-width: 3px;
}

.slide.horizontal .slide__placeholder.large .slide__placeholder__circle {
    height: calc(100% - 3rem);
}

.slide__count {
    display: flex;
}

.slide__count p:first-child {
    margin-right: 1rem;
}

.slideshow__button {
    display: none;
}

.slide__c:hover {
    color: black;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .slideshow {
        margin-bottom: 4rem;
        height: calc(100svh - 8rem);
        padding: 0;
    }

    .slide {
        grid-column: 1/-1;
        transition: 300ms;
        left: 2.5rem;
        right: 2.5rem;
        height: 100%;
        padding-bottom: 0.5rem;
        user-select: none;
    }

    .slide__c:hover {
        color: rgb(136, 136, 136);
    }

    .slide img {
        transition: 200ms;
    }
    
    
    .slide__cover {
        padding: 2rem 0 3rem;
        width: auto;
        object-fit: contain;
        object-position: bottom center;
    }

    .slide__placeholder {
        padding: 6rem 2rem;
        max-width: 70vw;
        margin: 2rem auto 3rem;
        aspect-ratio: 3/2;
    }

    .slideshow__button {
        display: block;
        position: absolute;
        top: 0;
        bottom: 0;
        width: 2.5rem;
        display: flex;
        align-items: center;
        justify-content: center;
        padding-bottom: 8rem;
        opacity: 0.4;
        transition: 300ms;
    }

    .slideshow__button:hover {
        opacity: 1;
    }

    .slideshow__button svg {
        width: 1rem;
        height: auto;
    }

    .slideshow__button.prev {
        left: 0;
    }

    .slideshow__button.next {
        right: 0;
    }
}

/* 
    Section 
*/




/* Section + card-block  */
.section .card-block.side {
    margin-bottom: 1rem;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section .list-block {
        grid-column: 1/13;
        padding-bottom: 0.5rem;
    }

    .section .list-block__content {
        grid-column: 5/-2 !important;
    }

    .section .list-block__hr {
        grid-column: 1/13;
    }
    
    .section .card-block.side {
        margin-bottom: 0;
    }
}

/* Researchers + Degree Group */

.section .degree,
.section .group {
    border-bottom: 1px solid black;
    padding: 0 0 0.5rem;
    grid-column: 1/-1;
}

.degree__title,
.group__title {
    grid-column: 1/-2;
}

.group__icon,
.degree__icon {
    grid-column: -2/-1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section .degree,
    .section .group {
        grid-column: 1/9;
    }

    .degree__title {
        grid-column: 1/8;
    }

    .group__title {
        grid-column: 2/8;
    }

    .group__icon,
    .degree__icon {
        grid-column: -2/-1;
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
}

/* See More Fix */
/* Desktop */
@media only screen and (min-width: 64rem) {
    .section__seemore {
        grid-column: 5/8;
    }
}